OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.NV.DepthBufferFloat

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_depth_buffer_float extension, see http://www.opengl.org/registry/specs/NV/NV_depth_buffer_float.txt.

Synopsis

- glDepthRanged :: GLdouble -> GLdouble -> IO ()
- glClearDepthd :: GLdouble -> IO ()
- glDepthBoundsd :: GLdouble -> GLdouble -> IO ()
- gl_DEPTH_COMPONENT32F :: GLenum
- gl_DEPTH32F_STENCIL8 :: GLenum
- gl_FLOAT_32_UNSIGNED_INT_24_8_REV :: GLenum
- gl_DEPTH_BUFFER_FLOAT_MODE :: GLenum

# Functions

glDepthRanged :: GLdouble -> GLdouble -> IO ()

glClearDepthd :: GLdouble -> IO ()

glDepthBoundsd :: GLdouble -> GLdouble -> IO ()

# Tokens

gl_DEPTH_COMPONENT32F :: GLenum

gl_DEPTH32F_STENCIL8 :: GLenum

gl_FLOAT_32_UNSIGNED_INT_24_8_REV :: GLenum

gl_DEPTH_BUFFER_FLOAT_MODE :: GLenum